@ECHO off
cls
ECHO Convert textures to DXT3 format for this aircraft
ECHO -------------------------------------------------
ECHO.
ECHO This batch file will only work with models from www.DMflightsim.co.uk
ECHO It will convert ALL standard texture files found inside this model's folders.
ECHO ONLY SQUARE TEXTURE FORMATS WILL BE CONVERTED, e.g. 256x256 or 512x512 size.
ECHO FOR SAFETY REASONS, IT ONLY CONVERTS TEXTURE NAMES USED BY THE DMFS MODELS.
ECHO Feel free to edit this batch file for use with other FS models.
ECHO.
ECHO Note - DXT3 is a 'lossy' compression format - some quality is traded for a
ECHO more efficient texture file.
ECHO Most textures convert well, but some can become blotchy or grainy in DXT3.
ECHO Colours and shades can often be slightly altered in DXT3.
ECHO Once converted, top quality can't be regained by converting back to 32-bit.
ECHO Mip maps are lower resolution copies of the original texture.  Some grapics
ECHO cards don't work well with them and some don't work well without them!
ECHO.
ECHO 1. Quit without converting anything
ECHO 2. Convert all textures to DXT3
ECHO 3. Convert all textures to DXT3 (No Mip Maps)
ECHO 4. Convert main textures to 32 bit
ECHO 5. Convert main textures to 32 bit (No Mip Maps)
ECHO.
set choice=
set /p choice=Enter option 1 to 5 : 
if not '%choice%'=='' set choice=%choice:~0,1%
if '%choice%'=='2' goto DXT3M
if '%choice%'=='3' goto DXT3NM
if '%choice%'=='4' goto 32M
if '%choice%'=='5' goto 32NM
goto end
:DXT3NM
IMAGETOOL -r -brief -DXT3 -detail -nomip -nowarning -e bmp VC10*.bmp COM*.bmp TRI*.bmp 111*.bmp
goto end
:DXT3M
IMAGETOOL -r -brief -DXT3 -detail -nowarning -e bmp VC10*.bmp COM*.bmp TRI*.bmp 111*.bmp
goto end
:32NM
IMAGETOOL -r -brief -32 -detail -nomip -nowarning -e bmp VC101TAI?.bmp VC101FUS?_1.bmp VC101FUS?_2.bmp VC101FUS?_3.bmp VC101FUS?_4.bmp VC101FUS?_5.bmp VC101WING_B?.bmp VC101WING_T?.bmp COMFUSE_?_T.bmp COM*TAIL_T.bmp TRI*FUSE_?.bmp TRI*TAIL.bmp TRI*Wing_T?.bmp TRI*Wing_B?.bmp 111FUSE_?.bmp 111TAIL_?.bmp 111EXTR?.bmp
goto end
:32M
IMAGETOOL -r -brief -32 -detail -nowarning -e bmp VC101TAI?.bmp VC101FUS?_1.bmp VC101FUS?_2.bmp VC101FUS?_3.bmp VC101FUS?_4.bmp VC101FUS?_5.bmp VC101WING_B?.bmp VC101WING_T?.bmp COMFUSE_?_T.bmp COM*TAIL_T.bmp TRI*FUSE_?.bmp TRI*TAIL.bmp TRI*WING_T?.bmp TRI*Wing_B?.bmp 111FUSE_?.bmp 111TAIL_?.bmp 111EXTR?.bmp
goto end
rem Run 'IMAGETOOL -?' to get a full list of the parameter options available
goto end
:end
